//immport the geo projection functions
import { geoAlbers, geoPath, geoGraticule } from 'd3';

//Call the functions 
const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

//style the map with shape and with interiors

export const CountryMap = ({ data: { land, interiors } }) => (
  <g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> 
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
